summaryrefslogtreecommitdiffstats
path: root/scripts/aurbuild
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/aurbuild')
-rwxr-xr-xscripts/aurbuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/aurbuild b/scripts/aurbuild
new file mode 100755
index 00000000..02346d8d
--- /dev/null
+++ b/scripts/aurbuild
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+die() {
+ echo $*
+ exit 1
+}
+
+if [ "$1" == "" ]; then
+ echo "usage: aurbuild <package_name>"
+ echo
+ exit 1
+fi
+pkgname=$1
+[ -d $pkgname ] && die "Directory '$pkgname' already exists"
+[ -f $pkgname ] && die "File '$pkgname' already exists"
+
+echo "Downloading $pkgname.tar.gz"
+wget -q http://aur.archlinux.org/packages/$pkgname/$pkgname.tar.gz || die "Failed to fetch $1.pkg.tar.gz"
+
+tar zxf $pkgname.tar.gz || die "Extraction failed"
+rm -f $pkgname.tar.gz
+cd $pkgname || die "Failed to cwd"
+makepkg
+